/**
 * Tencent is pleased to support the open source community by making Polaris available.
 *
 * Copyright (C) 2019 THL A29 Limited, a Tencent company. All rights reserved.
 *
 * Licensed under the BSD 3-Clause License (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * https://opensource.org/licenses/BSD-3-Clause
 *
 * Unless required by applicable law or agreed to in writing, software distributed
 * under the License is distributed on an "AS IS" BASIS, WITHOUT WARRANTIES OR
 * CONDITIONS OF ANY KIND, either express or implied. See the License for the
 * specific language governing permissions and limitations under the License.
 */

// Code generated by MockGen. DO NOT EDIT.
// Source: maintain.go

// Package sqldb is a generated GoMock package.
package sqldb

import (
	reflect "reflect"

	gomock "github.com/golang/mock/gomock"
)

// MockLeaderElectionStore is a mock of LeaderElectionStore interface.
type MockLeaderElectionStore struct {
	ctrl     *gomock.Controller
	recorder *MockLeaderElectionStoreMockRecorder
}

// MockLeaderElectionStoreMockRecorder is the mock recorder for MockLeaderElectionStore.
type MockLeaderElectionStoreMockRecorder struct {
	mock *MockLeaderElectionStore
}

// NewMockLeaderElectionStore creates a new mock instance.
func NewMockLeaderElectionStore(ctrl *gomock.Controller) *MockLeaderElectionStore {
	mock := &MockLeaderElectionStore{ctrl: ctrl}
	mock.recorder = &MockLeaderElectionStoreMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use.
func (m *MockLeaderElectionStore) EXPECT() *MockLeaderElectionStoreMockRecorder {
	return m.recorder
}

// CheckMtimeExpired mocks base method.
func (m *MockLeaderElectionStore) CheckMtimeExpired(key string, leaseTime int32) (bool, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CheckMtimeExpired", key, leaseTime)
	ret0, _ := ret[0].(bool)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CheckMtimeExpired indicates an expected call of CheckMtimeExpired.
func (mr *MockLeaderElectionStoreMockRecorder) CheckMtimeExpired(key, leaseTime interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CheckMtimeExpired", reflect.TypeOf((*MockLeaderElectionStore)(nil).CheckMtimeExpired), key, leaseTime)
}

// CompareAndSwapVersion mocks base method.
func (m *MockLeaderElectionStore) CompareAndSwapVersion(key string, curVersion, newVersion int64, leader string) (bool, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "CompareAndSwapVersion", key, curVersion, newVersion, leader)
	ret0, _ := ret[0].(bool)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// CompareAndSwapVersion indicates an expected call of CompareAndSwapVersion.
func (mr *MockLeaderElectionStoreMockRecorder) CompareAndSwapVersion(key, curVersion, newVersion, leader interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "CompareAndSwapVersion", reflect.TypeOf((*MockLeaderElectionStore)(nil).CompareAndSwapVersion), key, curVersion, newVersion, leader)
}

// GetVersion mocks base method.
func (m *MockLeaderElectionStore) GetVersion(key string) (int64, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "GetVersion", key)
	ret0, _ := ret[0].(int64)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// GetVersion indicates an expected call of GetVersion.
func (mr *MockLeaderElectionStoreMockRecorder) GetVersion(key interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "GetVersion", reflect.TypeOf((*MockLeaderElectionStore)(nil).GetVersion), key)
}
